<script>
  import {navigate} from "svelte-routing"
  import {AuthHelpers} from "../../helpers/AuthHelpers.js"

  // #1. @TODO : Is User Logged In
  if (!AuthHelpers.isUserLoggedIn()) {
    navigate("/login", {replace: true})
    throw new Error("User is not logged in")
  }

  // #2. @TODO : Rest of the code
  console.log("User is not logged in")
</script>

<slot />
